using Newtonsoft.Json;

public class SystemLog
{
    [JsonProperty("log_id")]
    public string LogId { get; set; } = Guid.NewGuid().ToString();

    [JsonProperty("level")]
    public string Level { get; set; } = string.Empty;

    [JsonProperty("message")]
    public string Message { get; set; } = string.Empty;

    [JsonProperty("exception")]
    public string? Exception { get; set; }

    [JsonProperty("properties")]
    public string Properties { get; set; } = "{}";

    [JsonProperty("timestamp")]
    public DateTime Timestamp { get; set; }
} 