const $loadingMask = $('#loading-mask');
const $dataTable = $('#from_data');

// 显示遮罩层
function showLoadingMask() {
    $loadingMask.show();
}

// 隐藏遮罩层
function hideLoadingMask() {
    $loadingMask.hide();
}


function getRandomInt(min, max) {
    min = Math.ceil(min); // 确保 min 是一个整数
    max = Math.floor(max); // 确保 max 是一个整数
    return Math.floor(Math.random() * (max - min + 1)) + min; // 使用 floor 而不是 round 可以确保包括 max 在内
}
/**
 * 生成指定范围内的随机整数
 * @param {number} min - 范围的最小值
 * @param {number} max - 范围的最大值
 * @returns {number} - 在指定范围内的随机整数
 */
function getRandomInt(min, max) {
    min = Math.ceil(min); // 确保 min 是一个整数
    max = Math.floor(max); // 确保 max 是一个整数
    // 使用 floor 而不是 round 可以确保包括 max 在内
    return Math.floor(Math.random() * (max - min + 1)) + min; 
}

        
let tipsStr = [
    "任务列表每个IP相互隔离,不必担心任务信息泄露。",
    "哈希算法为MD5。",
    "下载的文件不会永久存储在服务器上, 每隔一段时间服务器会自动清理那些文件, 并且任务状态会转变为 “已被清理”。",
    "本站会收集一些访客信息用于访客数据分析, 若你不想被收集相关信息用于分析, 请<a target=\"_blank\" href=\"delete_my_info.html\">点我</a>自助删除已经存储在服务器上的信息(新加任务仍然会收集)。",
    "服务器同时下载的任务达到限制时候, 新的任务会被加入队列(即 排队), 若队列达到管理员设置的最大值则不再接受新任务, 直至队列空出余量。",
    "本站为了节省成本和照顾其他访客的感受, 每个IP有一定的下载和任务提交配额, 达到限制后当天内不能再下载文件或者新增任务, 请勿浪费公共资源。"
];

$(document).ready(function () {
    let tips = tipsStr[getRandomInt(0, tipsStr.length - 1)];
    console.log(tips);
    $('#tips').html(tips);
});